Bug 193973 - [PATCH] capsicum support for traceroute(8)
Summary: [PATCH] capsicum support for traceroute(8)
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: bin (show other bugs)
Version: CURRENT
Hardware: amd64 Any
: --- Affects Only Me
Assignee: Mariusz Zaborski
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-09-27 12:30 UTC by mp39590
Modified: 2018-09-05 20:14 UTC (History)
3 users (show)

See Also:


Attachments
patch (6.83 KB, patch)
2014-09-27 12:31 UTC, mp39590
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description mp39590 2014-09-27 12:30:44 UTC
This patch compartmentalize traceroute(8) utility. I've tested all traceroute flags and they still work.

Compartmentalization logic is the following:
 - if we are passed (-n) flag - enter cap mode;
 - else, if we're able to use casper's DNS service - enter cap mode;
 - else do not enter cap mode.
Comment 1 mp39590 2014-09-27 12:31:20 UTC
Created attachment 147724 [details]
patch
Comment 2 Jason Unovitch freebsd_committer 2016-02-07 14:11:53 UTC
Feedback timeout is appropriate when a question to the submitter goes unanswered.  You are the submitter here.  It's likely nobody with the familiarity has had the time to look at this PR and address it.
Comment 3 Mariusz Zaborski freebsd_committer 2016-02-07 15:39:26 UTC
I didn't notice this PR.
I will take it.
Comment 4 commit-hook freebsd_committer 2017-02-20 23:49:39 UTC
A commit references this bug:

Author: oshogbo
Date: Mon Feb 20 23:48:51 UTC 2017
New revision: 314000
URL: https://svnweb.freebsd.org/changeset/base/314000

Log:
  Capsicumize traceroute.

  PR:		 193973
  Submitted by:	 Mikhail <mp39590@gmail.com>
  Reviewed by:	 pjd, bapt, emaste, AllanJude
  Differential Revision:	https://reviews.freebsd.org/D9303

Changes:
  head/contrib/traceroute/traceroute.c
  head/usr.sbin/traceroute/Makefile
Comment 5 Ed Maste freebsd_committer 2017-05-27 01:03:50 UTC
oshogbo, your thoughts on MFC?
Comment 6 Eitan Adler freebsd_committer freebsd_triage 2018-05-28 19:44:15 UTC
batch change:

For bugs that match the following
-  Status Is In progress 
AND
- Untouched since 2018-01-01.
AND
- Affects Base System OR Documentation

DO:

Reset to open status.


Note:
I did a quick pass but if you are getting this email it might be worthwhile to double check to see if this bug ought to be closed.
Comment 7 commit-hook freebsd_committer 2018-09-05 20:14:00 UTC
A commit references this bug:

Author: oshogbo
Date: Wed Sep  5 20:13:28 UTC 2018
New revision: 338475
URL: https://svnweb.freebsd.org/changeset/base/338475

Log:
  MFC r314000:

    Capsicumize traceroute.

    PR:		 193973
    Submitted by:	 Mikhail <mp39590@gmail.com>
    Reviewed by:	 pjd, bapt, emaste, AllanJude
    Differential Revision:	https://reviews.freebsd.org/D9303

Changes:
_U  stable/11/
  stable/11/contrib/traceroute/traceroute.c
  stable/11/usr.sbin/traceroute/Makefile